# Gem Dependencies
require 'typhoeus'
require 'byebug'
require 'json'
require 'base64'
require 'rainbow'
require 'parseconfig'
require 'terminal-table'

# Active Support
require 'active_support/all'

# Library Code
require 'umbreo/version'

require 'umbreo/helpers/table'
require 'umbreo/helpers/alert_message'
require 'umbreo/helpers/error_exception'
require 'umbreo/helpers/file_generator'
require 'umbreo/helpers/json_base_convert'

require 'umbreo/models/authentication'
require 'umbreo/models/configuration'
require 'umbreo/models/instance'
require 'umbreo/models/module'
require 'umbreo/models/profile'
require 'umbreo/models/cloud_provider'
require 'umbreo/models/provider'
require 'umbreo/models/digital_ocean_provider'
require 'umbreo/models/amazon_web_service_provider'
require 'umbreo/models/google_compute_engine_provider'
require 'umbreo/models/openstack_provider'
require 'umbreo/models/xenserver_provider'
require 'umbreo/models/blueprint'
require 'umbreo/models/system'
require 'umbreo/models/stack'
require 'umbreo/models/umbreo_stack_template'
require 'umbreo/models/service_provider'
require 'umbreo/models/service'

# Add requires for other files you add to your project here, so
# you just need to require this one file in your bin file

module Umbreo

	SERVER_END_POINT = "https://beta.umbreo.com"
	FILE_CONFIG      = `eval echo ~$USER`.delete("\n") + "/.umbreoconfig"
	
end