module Umbreo
	module Helpers
		class AlertMessage
			
			def self.show_success_message(message, inline = false)
				if inline
					Rainbow(message).green
				else
					puts Rainbow(message).green
				end
			end

			def self.show_error_message(message, inline = false)
				if inline
					Rainbow(message).red.bright
				else
					puts Rainbow(message).red.bright
				end
			end

			def self.show_information_message(message, inline = false)
				if inline
					Rainbow(message).cyan
				else
					puts Rainbow(message).cyan
				end
			end

			def self.show_content_success_message(message, inline = false)
				if inline
					yield.gsub("#message", Rainbow(message).green)
				else
					puts yield.gsub("#message", Rainbow(message).green)
				end
			end

			def self.show_content_error_message(message, inline = false)
				if inline
					yield.gsub("#message", Rainbow(message).red.bright)
				else
					puts yield.gsub("#message", Rainbow(message).red.bright)
				end
			end

			def self.show_content_information_message(message, inline = false)
				if inline
					yield.gsub("#message", Rainbow(message).cyan)
				else
					puts yield.gsub("#message", Rainbow(message).cyan)
				end
			end

			def self.show_error_exception(e)
				puts Rainbow("An error of type #{e.class} happened.").red.bright
			end
		end
	end
end