module Umbreo
	module Models
		class Configuration

			def initialize
				create_configuration
			end

			# 
			# Create file configuration
			# 
			def create_configuration
				File.open(FILE_CONFIG, "w+") if !File.exists?(FILE_CONFIG)
			end

			# 
			# Write authentication to File Configuration
			# 
			def write_file_authentication(data, endpoint_url = nil)
				name  = data['name'] || data[:name]
				email = data['email'] || data[:email]
				token = data['authentication_token'] || data[:authentication_token]

		    File.open("#{FILE_CONFIG}", 'w+') do |file|
		      file.puts("# Umbreo's user configuration file.")
		      file.puts("")
		      file.puts("[user]")
		      file.puts("Name=#{name}")
		      file.puts("Email=#{email}")
		      file.puts("APIKey=#{token}")

		      if endpoint_url.present?
		      	file.puts("Endpoint=#{endpoint_url}")
		      else
		      	file.puts("Endpoint=#{SERVER_END_POINT}")
		      end
		    end

		    # Umbreo::Helpers::AlertMessage.show_success_message(read_file_authentication)
			end

			# 
			# Read file configuration
			# 
			def read_file_authentication
				@parse_file = ParseConfig.new(FILE_CONFIG) rescue nil
				if @parse_file.present?
					email    = @parse_file.params["user"]["Email"] rescue nil
				  apikey   = @parse_file.params['user']['APIKey'] rescue nil
				  name     = @parse_file.params['user']['Name'] rescue nil
				  endpoint = @parse_file.params["user"]["Endpoint"] rescue nil

				  return { email: email, api_key: apikey, name: name, end_point: endpoint }
				else
					return ""
				end
			end

			# 
			# remove file configuration
			# 
			def delete
				File.delete(FILE_CONFIG) if File.exists? FILE_CONFIG

				return true
			end

			# 
			# check valid user
			# 
			def is_valid_user?
				@parse_file = ParseConfig.new(FILE_CONFIG) rescue nil
				@user_auth  = @parse_file.params["user"] rescue nil

				if @user_auth.present?
					email    = @user_auth["Email"]
					apikey   = @user_auth["APIKey"]
					name     = @user_auth["Name"]
					endpoint = @user_auth["Endpoint"]

					request = Typhoeus.get(
						          "#{endpoint}/api/v1/users/is_valid_user",
						          body: {
						            email: email,
						            apikey: apikey,
						          }
						        )
        	data    = JSON.parse request.response_body

        	return data['success']
				else
					return false
				end
			end

		end
	end
end