module Umbreo
	module Models
		class System
			
			def initialize(credentials = {})
				if credentials.present?
					@email    = credentials[:email]
					@api_key  = credentials[:api_key]
					@endpoint = credentials[:end_point] || SERVER_END_POINT
				end
			end

			def retrieve_data
				Helpers::ErrorException.rescue do
					data = Typhoeus.get(
						          "#{@endpoint}/api/v1/systems",
						          body: {
						            authenticate_token: @api_key,
						            email:              @email
						          }
						        )

		    	@data = JSON.parse data.response_body
		    	@data['systems']
				end
			end

			# 
			# callback for retrieve data
			# 
			def all
				retrieve_data

	    	if @data['systems'].present?
          Helpers::Table.show_table(@data['systems'], "List System", ['ID', 'Name'])
	    	else
	    		Helpers::AlertMessage.show_error_message(@data["message"])
	    	end
			end

		end
	end
end